Get Actions
curl --request GET \
--url https://toncenter.com/api/v3/actionsimport requests
url = "https://toncenter.com/api/v3/actions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v3/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"accounts": [
"<string>"
],
"action_id": "<string>",
"details": "<unknown>",
"end_lt": "0",
"end_utime": 123,
"start_lt": "0",
"start_utime": 123,
"success": true,
"trace_end_lt": "0",
"trace_end_utime": 123,
"trace_external_hash": "<string>",
"trace_external_hash_norm": "<string>",
"trace_id": "<string>",
"trace_mc_seqno_end": 123,
"transactions": [
"<string>"
],
"type": "<string>"
}
],
"address_book": {},
"metadata": {}
}{
"code": 123,
"error": "<string>"
}Actions
Get Actions
Get actions by specified filter.
GET
/
api
/
v3
/
actions
Get Actions
Query Parameters
List of account addresses to get actions. Can be sent in hex, base64 or base64url form.
Find actions by transaction hash.
Find actions by message hash.
Find actions by the action_id.
Find actions by the trace_id.
Query actions of traces which was completed in masterchain block with given seqno
Query actions for traces with trace_end_utime >= start_utime.
Required range:
x >= 0Query actions for traces with trace_end_utime <= end_utime.
Required range:
x >= 0Query actions for traces with trace_end_lt >= start_lt.
Required range:
x >= 0Query actions for traces with trace_end_lt <= end_lt.
Required range:
x >= 0Include action types.
Available options:
call_contract, contract_deploy, ton_transfer, auction_bid, change_dns, dex_deposit_liquidity, dex_withdraw_liquidity, delete_dns, renew_dns, election_deposit, election_recover, jetton_burn, jetton_swap, jetton_transfer, jetton_mint, nft_mint, tick_tock, stake_deposit, stake_withdrawal, stake_withdrawal_request, subscribe, unsubscribe Exclude action types.
Available options:
call_contract, contract_deploy, ton_transfer, auction_bid, change_dns, dex_deposit_liquidity, dex_withdraw_liquidity, delete_dns, renew_dns, election_deposit, election_recover, jetton_burn, jetton_swap, jetton_transfer, jetton_mint, nft_mint, tick_tock, stake_deposit, stake_withdrawal, stake_withdrawal_request, subscribe, unsubscribe Supported action types
Limit number of queried rows. Use with offset to batch read.
Required range:
1 <= x <= 1000Skip first N rows. Use with limit to batch read.
Required range:
x >= 0Sort actions by lt.
Available options:
asc, desc 
